## AsTranslation AsTranslation — Object representing a single translation. |

## Stability Level

Stable, unless otherwise indicated

## Functions

AsTranslation * | as_translation_new ()
AsTranslationKind | as_translation_kind_from_string ()
const gchar * | as_translation_kind_to_string ()
const gchar * | as_translation_get_id ()
AsTranslationKind | as_translation_get_kind ()
void | as_translation_set_id ()
void | as_translation_set_kind ()

## Types and Values

#define | AS_TYPE_TRANSLATION
struct | AsTranslationClass
enum | AsTranslationKind
| AsTranslation

## Includes

    #include <appstream-glib.h>

## Description

Translation systems such as gettext install the translated files in a specific location.

This object represents translation data for an application.

See also: AsApp

## Functions

### as_translation_new ()

    AsTranslation *
    as_translation_new (void);

Creates a new AsTranslation.

#### Returns

a AsTranslation.

[transfer full]

Since: 0.5.8

### as_translation_kind_from_string ()

    AsTranslationKind
    as_translation_kind_from_string (const gchar *kind);

Converts the text representation to an enumerated value.

#### Parameters

kind | the string. |

#### Returns

a AsTranslationKind, or `AS_TRANSLATION_KIND_UNKNOWN` for unknown.

[transfer full]

Since: 0.5.8

### as_translation_kind_to_string ()

    const gchar *
    as_translation_kind_to_string (AsTranslationKind kind);

Converts the enumerated value to an text representation.

#### Parameters

kind | the AsTranslationKind. |

#### Returns

string version of `kind`

Since: 0.5.8

### as_translation_get_id ()

    const gchar *
    as_translation_get_id (AsTranslation *translation);

Gets the ID for this translation.

#### Parameters

translation | a AsTranslation instance. |

#### Returns

ID, e.g. "foobar-1.0.2"

Since: 0.5.8

### as_translation_get_kind ()

    AsTranslationKind
    as_translation_get_kind (AsTranslation *translation);

Gets the translation kind.

#### Parameters

translation | a AsTranslation instance. |

#### Returns

the AsTranslationKind

Since: 0.5.8

### as_translation_set_id ()

    void
    as_translation_set_id (AsTranslation *translation,
                           const gchar *id);

Sets the ID for this translation.

#### Parameters

translation | a AsTranslation instance. |
id | the URL. |

Since: 0.5.8

### as_translation_set_kind ()

    void
    as_translation_set_kind (AsTranslation *translation,
                             AsTranslationKind kind);

Sets the translation kind.

#### Parameters

translation | a AsTranslation instance. |
kind | the AsTranslationKind, e.g. `AS_TRANSLATION_KIND_THUMBNAIL`. |

Since: 0.5.8

## Types and Values

### AS_TYPE_TRANSLATION

    #define AS_TYPE_TRANSLATION (as_translation_get_type ())

### struct AsTranslationClass

    struct AsTranslationClass {
    	GObjectClass		parent_class;
    };

### enum AsTranslationKind

The translation type.

#### Members

AS_TRANSLATION_KIND_UNKNOWN | Type invalid or not known |
AS_TRANSLATION_KIND_GETTEXT | Gettext translation system |
AS_TRANSLATION_KIND_QT | QT translation system |

### AsTranslation

    typedef struct _AsTranslation AsTranslation;